"use strict";

exports.__esModule = true;
exports.default = babelPresetModules;

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * babel-preset-modules produces clean, minimal output for ES Modules-supporting browsers.
 * @param {Object} [options]
 * @param {boolean} [options.loose=false] Loose mode skips seldom-used transforms, like fixing function.name inference in Edge.
 */
function babelPresetModules(options = {}) {
  const loose = options.loose === true;
  return {
    plugins: [_path.default.resolve(__dirname, './plugins/transform-edge-default-parameters'), _path.default.resolve(__dirname, './plugins/transform-tagged-template-caching'), _path.default.resolve(__dirname, './plugins/transform-jsx-spread'), _path.default.resolve(__dirname, './plugins/transform-safari-for-shadowing'), _path.default.resolve(__dirname, './plugins/transform-async-arrows-in-class'), !loose && _path.default.resolve(__dirname, './plugins/transform-edge-function-name'), // Proposals
    '@babel/plugin-proposal-unicode-property-regex', '@babel/plugin-transform-dotall-regex'].filter(Boolean)
  };
}

module.exports = exports.default;